# Uses of Enum
org.jboss.logging.processor.apt.report.ReportType

Packages that use ReportType
Package
Description
org.jboss.logging.processor.apt.report

## Uses of ReportType in org.jboss.logging.processor.apt.report

Methods in org.jboss.logging.processor.apt.report that return ReportType
Modifier and Type
Method
Description
`static ReportType`
ReportType.`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static ReportType[]`
ReportType.`values()`
Returns an array containing the constants of this enum type, in the order they are declared.
Methods in org.jboss.logging.processor.apt.report with parameters of type ReportType
Modifier and Type
Method
Description
`static ReportWriter`
ReportWriter.`of(ReportType reportType, MessageInterface messageInterface, BufferedWriter writer)`
Creates a new report writer based on the report type.